RingID counter increased inside some functions
Status: New Start date: 25 Nov 2019

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.25 hour

Description

Each ring in CoCoALib has a unique ring-ID (machine integer).

Some functions (e.g. syz) create new rings internally, but these rings are never seen outside the function.

It is a bit strange that the ring-ID counter increases in these functions.

Can we avoid visibly increasing the ring ID counter?

History

#1 - 25 Nov 2019 14:35 - John Abbott

- Priority changed from Normal to Low

We could perhaps have two counters: one for "user created" rings and one for "internal" rings.  Or perhaps just positive/negative counters?

Priority is low because everything works, it is just strange that the counter is increased by some functions.

#2 - 25 Nov 2019 16:35 - Anna Maria Bigatti

John Abbott wrote:

We could perhaps have two counters: one for "user created" rings and one for "internal" rings.  Or perhaps just positive/negative counters?

 

Ummm, I'm not sure we should consider "internal" rings separately.

A different syntax just for the counter?

Or could that also have another meaning like a super memory-clean at the exit of the function?

#3 - 02 Oct 2020 21:40 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#4 - 31 Jan 2024 22:19 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880
